import request from '@/config/axios'

// 获取装修模版
export const getDiyTemplate = async () => {
  return request.get({
    url: '/app-api/promotion/diy-template/used'
  })
}

// 获取id获取商品列表
export const getProductByIds = async (ids) => {
  return request.get({
    url: `/app-api/product/spu/list-by-ids?ids=${ids}`
  })
}

// 提交积分商品兑换
export const redeemSubmit = async (data) => {
  return request.post({
    url: '/app-api/menduner/system/redeem/submit',
    openEncryption: true,
    data
  })
}

// 获取积分兑换记录
export const getRedeemPage = async (params) => {
  return request.get({
    url: '/app-api/menduner/system/redeem/page',
    params
  })
}